// SPDX-License-Identifier: EUPL-1.2+
// SPDX-FileCopyrightText: S.W.I.F.T. SC
// Source: https://www.swift.com/resource/iban-registry-txt
// Code generated by code.pfad.fr/swift/internal/cmd/registry-generate DO NOT EDIT.

package swift_test

import "testing"

func TestBBANRegistry(t *testing.T) {
	validIBAN(t, "AD1200012030200359100100")
	validIBAN(t, "AE070331234567890123456")
	validIBAN(t, "AL47212110090000000235698741")
	validIBAN(t, "AT611904300234573201")
	validIBAN(t, "AZ21NABZ00000000137010001944")
	validIBAN(t, "BA391290079401028494")
	validIBAN(t, "BE68539007547034")
	validIBAN(t, "BG80BNBG96611020345678")
	validIBAN(t, "BH67BMAG00001299123456")
	validIBAN(t, "BI4210000100010000332045181")
	validIBAN(t, "BR1800360305000010009795493C1")
	validIBAN(t, "BY13NBRB3600900000002Z00AB00")
	validIBAN(t, "CH9300762011623852957")
	validIBAN(t, "CR05015202001026284066")
	validIBAN(t, "CY17002001280000001200527600")
	validIBAN(t, "CZ6508000000192000145399")
	validIBAN(t, "DE89370400440532013000")
	validIBAN(t, "DJ2100010000000154000100186")
	validIBAN(t, "DK5000400440116243")
	validIBAN(t, "DO28BAGR00000001212453611324")
	validIBAN(t, "EE382200221020145685")
	validIBAN(t, "EG380019000500000000263180002")
	validIBAN(t, "ES9121000418450200051332")
	validIBAN(t, "FI2112345600000785")
	validIBAN(t, "FK88SC123456789012")
	validIBAN(t, "FO6264600001631634")
	validIBAN(t, "FR1420041010050500013M02606")
	validIBAN(t, "GB29NWBK60161331926819")
	validIBAN(t, "GE29NB0000000101904917")
	validIBAN(t, "GI75NWBK000000007099453")
	validIBAN(t, "GL8964710001000206")
	validIBAN(t, "GR1601101250000000012300695")
	validIBAN(t, "GT82TRAJ01020000001210029690")
	validIBAN(t, "HN88CABF00000000000250005469")
	validIBAN(t, "HR1210010051863000160")
	validIBAN(t, "HU42117730161111101800000000")
	validIBAN(t, "IE29AIBK93115212345678")
	validIBAN(t, "IL620108000000099999999")
	validIBAN(t, "IQ98NBIQ850123456789012")
	validIBAN(t, "IS140159260076545510730339")
	validIBAN(t, "IT60X0542811101000000123456")
	validIBAN(t, "JO94CBJO0010000000000131000302")
	validIBAN(t, "KW81CBKU0000000000001234560101")
	validIBAN(t, "KZ86125KZT5004100100")
	validIBAN(t, "LB62099900000001001901229114")
	validIBAN(t, "LC55HEMM000100010012001200023015")
	validIBAN(t, "LI21088100002324013AA")
	validIBAN(t, "LT121000011101001000")
	validIBAN(t, "LU280019400644750000")
	validIBAN(t, "LV80BANK0000435195001")
	validIBAN(t, "LY83002048000020100120361")
	validIBAN(t, "MC5811222000010123456789030")
	validIBAN(t, "MD24AG000225100013104168")
	validIBAN(t, "ME25505000012345678951")
	validIBAN(t, "MK07250120000058984")
	validIBAN(t, "MN121234123456789123")
	validIBAN(t, "MR1300020001010000123456753")
	validIBAN(t, "MT84MALT011000012345MTLCAST001S")
	validIBAN(t, "MU17BOMM0101101030300200000MUR")
	validIBAN(t, "NI45BAPR00000013000003558124")
	validIBAN(t, "NL91ABNA0417164300")
	validIBAN(t, "NO9386011117947")
	validIBAN(t, "OM810180000001299123456")
	validIBAN(t, "PK36SCBL0000001123456702")
	validIBAN(t, "PL61109010140000071219812874")
	validIBAN(t, "PS92PALS000000000400123456702")
	validIBAN(t, "PT50000201231234567890154")
	validIBAN(t, "QA58DOHB00001234567890ABCDEFG")
	validIBAN(t, "RO49AAAA1B31007593840000")
	validIBAN(t, "RS35260005601001611379")
	validIBAN(t, "RU0304452522540817810538091310419")
	validIBAN(t, "SA0380000000608010167519")
	validIBAN(t, "SC18SSCB11010000000000001497USD")
	validIBAN(t, "SD2129010501234001")
	validIBAN(t, "SE4550000000058398257466")
	validIBAN(t, "SI56263300012039086")
	validIBAN(t, "SK3112000000198742637541")
	validIBAN(t, "SM86U0322509800000000270100")
	validIBAN(t, "SO211000001001000100141")
	validIBAN(t, "ST23000100010051845310146")
	validIBAN(t, "SV62CENR00000000000000700025")
	validIBAN(t, "TL380080012345678910157")
	validIBAN(t, "TN5910006035183598478831")
	validIBAN(t, "TR330006100519786457841326")
	validIBAN(t, "UA213223130000026007233566001")
	validIBAN(t, "VA59001123000012345678")
	validIBAN(t, "VG96VPVG0000012345678901")
	validIBAN(t, "XK051212012345678906")
	validIBAN(t, "YE15CBYE0001018861234567891234")
}
